%define pcfdir %_x11libdir/X11/fonts/unifont

Name: unifont-fonts-bitmap
Version: 1.0
Release: alt1

Summary: Unicode bitmap fonts
Summary (ru_RU.UTF-8): Растровые Unicode шрифты 
License: GPL
Group: System/Fonts/X11 bitmap
Url: http://czyborra.com/
Source: unifont.tar.bz2
BuildArch: noarch
PreReq: chkfontpath perl-base

%description
This Package provides free Unicode bitmap fonts with slightly
better coverage than UCS (misc-fixed) fonts. These fonts are 16 
pixels high.

%description -l ru_RU.UTF-8
В пакете находятся растровые Unicode шрифты, содержащие 
несколько больший набор символов чем шрифты UCS (misc-fixed).
Наилучший размер для их отображения 16 точек. 

%prep
%setup -q -n unifont

%build
perl ./hex2bdf unifont.hex > unifont.bdf
bdftopcf unifont.bdf | gzip > unifont.pcf.gz

cat hex2bdf | sed 's/-gnu-unifont-/-gnu-arab-/' > hex2bdf2
perl ./hex2bdf2 arabforms.hex > arabforms.bdf
bdftopcf arabforms.bdf | gzip > arabforms.pcf.gz

cat hex2bdf | sed 's/-gnu-unifont-/-gnu-syriac-/' > hex2bdf2
perl ./hex2bdf2 syriacforms.hex > syriacforms.bdf
bdftopcf syriacforms.bdf | gzip > syriacforms.pcf.gz

cat hex2bdf | sed 's/-gnu-unifont-/-gnu-rovas-/' > hex2bdf2
perl ./hex2bdf2 rovas.hex > rovas.bdf
bdftopcf rovas.bdf | gzip > rovas.pcf.gz

%install
mkdir -p $RPM_BUILD_ROOT%pcfdir
install -p -m644 *.pcf.gz $RPM_BUILD_ROOT%pcfdir

cd $RPM_BUILD_ROOT%pcfdir
mkfontdir >& /dev/null

%post
%_bindir/fc-cache %pcfdir
/usr/sbin/chkfontpath -q --add %pcfdir

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %pcfdir
fi

%files
%pcfdir
%doc README*

%changelog
* Thu Nov 28 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
